Bug 65522 - urw-fonts seem to have metric troubles
Summary: urw-fonts seem to have metric troubles
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: urw-fonts   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-26 21:02 UTC by Michal Jaegermann
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-26 21:05:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A picture of a terminal window how it used to look like (21.19 KB, image/png)
2002-05-26 21:03 UTC, Michal Jaegermann
no flags Details
the same terminal window with "new-and-improved" fonts (34.83 KB, image/png)
2002-05-26 21:05 UTC, Michal Jaegermann
no flags Details

Description Michal Jaegermann 2002-05-26 21:02:37 UTC
Description of Problem:

urw-fonts-2.0-17, as supplied in 7.3 distro, appear to have serious
troubles with metrics.  Attached to this report is a picture of
a gnome-terminal window using
'-urw-courier-bold-r-normal--14-100-100-100-p-83-iso8859-1' font,
which comes from a file /usr/share/fonts/default/Type1/n022004l.pfb
after a command 'ls -l /' was executed few times. 'listing.png' shows
how this looks when using 'urw-fonts-2.0-12' as supplied in RH 7.2.
'listing_mess.png' give the same picture, with "the same" font
but from 'urw-fonts-2.0-17' package.

Moreover various monospace fonts from "Nimbus Mono" family are still
listed as proportional in fonts.scale and fonts.dir files (cf.	#58018).

(Note: normally a bigger size of this Courier is in use but with
"new-and-improved" fonts a terminal window is too wide to fit on a
screen).

Version-Release number of selected component (if applicable):
urw-fonts-2.0-17

Comment 1 Michal Jaegermann 2002-05-26 21:03:38 UTC
Created attachment 58604 [details]
A picture of a terminal window how it used to look like

Comment 2 Michal Jaegermann 2002-05-26 21:05:08 UTC
Created attachment 58605 [details]
the same terminal window with "new-and-improved" fonts

Comment 3 Ngo Than 2002-06-12 11:48:56 UTC
it's fixed in 2.0-19


Note You need to log in before you can comment on or make changes to this bug.